{ ... }: {
  imports = [
    ../Generic/config.nix
  ];

  config =  {
    valhalla = {
      windows = {
        dualboot = {
          enable = true;
          linuxPercentage = 70; # better safe than sorry
        };
      };

      partition.os.partitions = {
        # Keep Windows' boot partition
        Boot.keepExisting = true;

        Windows = {
          index = 6;
          label = "OS";
          format = "ntfs";
          mountPoint = "/win";
          mountOptions = ["force"];
          keepExisting = true;
        };
      };

      hardware = {
        components = [
          "ROG Zenith Extreme Alpha"
        ];

        eyeX = true;
        amdCPU = true;
        nvidiaGPU = true;
        elgatoWave = true;
      };
    };
  };
}
